<?php 
// youtube video ara - oynat
// xml feed
// Created by: Sinan Tekmil http://www.veblebi.com
// 27 Ekim 2012
?>

<?php if(!isset($_GET['vq'] ) ) {?>
<h4 id="ustbilgi">Youtube Video Search</h4>
<form id="frmpost" enctype="application/x-www-form-urlencoded" onSubmit="return false" >
  <label for="vq">Aranacak Videolar:</label>
  <input type="text" name="vq" id="vq" />
  <label for="s">Seçim:</label>
  <select name="s" id="s">
    <option value="viewCount">Kullanıcı İzlenimleri</option>
    <option value="rating">Değerlendirmeye göre</option>
    <option value="published">Yayınlama zamanı</option>
  </select>
  <label for="i">Sayfa Video:</label>
  <select id="i" name="i">
    <option value="10">10</option>
    <option value="20">20</option>
    <option value="40">40</option>
    <option value="50">50</option>
  </select>
  <input type="button" name="submit" value=" Ara " onClick="post(1)"/>
</form>
<?php
}
// veri gonderilmis ise
// kontrol yap, bosluklari kirp
if ( isset($_GET['vq'] ) ) {
	$vq = $_GET['vq'];
	$search = array("Ç", "İ", "Ğ", "Ö", "Ş", "Ü","ç", "I", "ğ", "ö", "ş", "ü", "ı",",",' ');
	$replace = array("c", "i", "g", "o", "s", "u","c", "i", "g", "o", "s", "u", "i","", '%20');
	$vq = trim(str_replace($search, $replace, $vq));

	if($vq == null ) die('Arama kutusu boş');

	// her sayfadaki video adedi - set max results per page
	if (!isset($_GET['i']) || empty($_GET['i']))
		$i = 25; // varsayilan - default
	else 
		$i = htmlentities($_GET['i']);
	
	// secim - set sort critera
	if (!isset($_GET['s']) || empty($_GET['s']))
		$s = 'viewCount';
	else
		$s = htmlentities($_GET['s']);
	
	// sayfa baslangici - set start index
	if (!isset($_GET['pageID']) || $_GET['pageID'] <= 0) {
		$o = 1;  
	} 
	else {        
		$pageID = htmlentities($_GET['pageID']);
		$o = $pageID+1;
	}
	
	// kaynak - generate feed URL
	$feedURL = "http://gdata.youtube.com/feeds/api/videos?vq={$vq}&orderby={$s}&max-results={$i}&start-index={$o}";
	// kaynagi al - read feed into SimpleXML object
	$sxml = simplexml_load_file($feedURL);
	
	// toplam - total
	$counts = $sxml->children('http://a9.com/-/spec/opensearchrss/1.0/');
	$total = $counts->totalResults;
	
	if( $total < 1 ) {
	 exit('Aradığınız kriterlere uygun video bulunamadı!'); // no result
	}
	
	$startOffset = $counts->startIndex; 
	$endOffset = ($startOffset-1) + $counts->itemsPerPage; 
	$o = $endOffset;
	
	// goruntulenen
	$goruntulenen = '<div class="sayfalar">Toplam:'.$total.' Görüntüleniyor: '.$total.' / '.$endOffset;
	
	$liste = $onceki = $sonraki = ''; // list, previous, next

	// onceki / sonraki - previus / next
	if( $o > $i ) {
	 $e = $o-$i*2;
	 $onceki = '<span id="onceki" onclick="OncekiSonraki(\''.$vq.'\',\''.$s.'\','.$i.','.$e.')"> Önceki </span>';
	}
	if($total > $endOffset ) {
	 $sonraki = '<span id="sonraki" onclick="OncekiSonraki(\''.$vq.'\',\''.$s.'\','.$i.','.$o.')"> Sonraki </span>';
	}
	
	$goruntulenen .= $onceki.$sonraki.'</div>';

	foreach ($sxml->entry as $entry) {
		$media = $entry->children('http://search.yahoo.com/mrss/');
		$attrs = $media->group->player->attributes();
		$url = $attrs['url'];
		// video kaynak - embed src
		$embedsrc = preg_match('/watch\?v=(.*)&feature/',$url,$matches);
		$embedsrc = $matches[1];
		$attrs = $media->group->thumbnail[0]->attributes();
		$thumbnail = $attrs['url'];
		
		// baslik - title
		$title = '<div class="vbilgi">'.$entry->title.'</div>';
		$link = '<img src="'.$thumbnail.'"/>';
		$liste .= '<li onclick="izle(\''.$embedsrc.'\')">'.$link.$title.'</li>';
	}
	echo $goruntulenen.'<ul>'.$liste.'</ul><br clear="all">'.$goruntulenen;
}
?>
<div id="videolar"></div>